[IPython-user] GtkDeprecationWarning

Fernando Perez fperez.net@gmail....
Sun Mar 18 18:31:56 CDT 2007


Hi Steve,


On 1/28/07, Steve Lianoglou <lists.steve@arachnedesign.net> wrote:
> Hi,
>
> I'm also getting a deprecation waring, but w/ Gtk.

[...]

> By basically doing what it says, these warnings go away .. namely
> changing lines 664, 662 and 664 to:
>
> 648: self.gtk.gdk.threads_init()
> 662: self.gtk.gdk.threads_enter()
> 664: self.gtk.gdk.threads_enter()
>
> My gtk version is 2.10.3
> I'm also running a recent (as of a few days ago) version of ipython
> from svn.


Sorry for not replying before.  I'd made these changes a few days ago
(others had reported the problem as well), so current SVN should be in
good shape on this front.

Thanks,

f


More information about the IPython-user mailing list